import { create } from "zustand";

type ThemeColorType = {
  primaryColor: string;
  secondaryColor: string;
  setColors: (primary: string, secondary: string) => void;
};

export const useThemeColorStore = create<ThemeColorType>((set) => ({
  primaryColor: "",
  secondaryColor: "",
  setColors: (primary, secondary) =>
    set({ primaryColor: primary, secondaryColor: secondary }),
}));
